@keyframes cardActionAni {
    0% {
        opacity: 0;
        transform: translateY(0);
    }

    100% {
        opacity: 1;
        transform: translateY(-50%);
    }
}

.card {
    display: flex;
    flex-direction: column;
    height: 100%;
    text-decoration: none;
    z-index: 0;
}

.card-wrapper {
    color: inherit;
    height: 100%;
    position: relative;
    text-decoration: none;
}

.card-wrapper .full-unstyled-link {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 1;
}

.card-main {
    position: relative;
    flex: 1 0 0;
}

.card .card__inner--wrapper {
    background-color: rgba(var(--color-image-background));
    padding: var(--card-image-padding, 0px);
}

.card.collection-card-wrapper .card__inner .card__media {
    border-radius: calc(var(--collection-card-border-radius) - var(--collection-card-border-thickness));
}

.card.collection-card-wrapper .card__inner.card__inner--round .card__media {
    border-radius: 50%;
}

.card.collection-card-wrapper.collection-card-style-card {
    background-color: rgba(var(--color-card-background));
}

.card.collection-card-wrapper.collection-card-style-card .card__inner--wrapper {
    background-color: transparent;
}

.card.collection-card-wrapper.collection-card-style-card .card__inner--wrapper .card__inner.card__inner--round {
    margin: 8px;
}

@media (max-width: 959px) {
    .card.collection-card-wrapper.collection-card-style-card .card__inner--wrapper .card__inner.card__inner--round {
        margin: 4px;
    }
}

.card.collection-card-wrapper.collection-card-style-card .card__inner--wrapper .card__inner:not(.card__inner--round) .card__media {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.card.collection-card-wrapper.collection-card-style-card .card__content {
    padding: 8px;
    margin-top: 0;
}

@media (max-width: 959px) {
    .card.collection-card-wrapper.collection-card-style-card .card__content {
        padding-bottom: 4px;
    }
}

.card.collection-card-wrapper.collection-card-style-card .card__content.collection__item__name {
    color: rgba(var(--color-card-text));
}

.card.product-card-wrapper .card__inner--wrapper.card__visible {
    overflow: visible;
}

.card.product-card-wrapper .card__inner--wrapper .card__inner .card__media {
    border-radius: calc(var(--product-card-border-radius) - var(--product-card-border-thickness));
}

.card.product-card-wrapper .card__inner--wrapper .card__inner.card__inner--round .card__media {
    border-radius: 50%;
}

.card.product-card-wrapper.product-card-style-card {
    background-color: rgba(var(--color-card-background));
}

.card.product-card-wrapper.product-card-style-card .card__inner--wrapper {
    background-color: transparent;
}

.card.product-card-wrapper.product-card-style-card .card__inner--wrapper .card__inner.card__inner--round {
    margin: 8px;
}

@media (max-width: 959px) {
    .card.product-card-wrapper.product-card-style-card .card__inner--wrapper .card__inner.card__inner--round {
        margin: 4px;
    }
}

.card.product-card-wrapper.product-card-style-card .card__inner--wrapper .card__inner:not(.card__inner--round) .card__media {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.card.product-card-wrapper.product-card-style-card .card__content {
    padding: 0 24px;
}

@media (max-width: 959px) {
    .card.product-card-wrapper.product-card-style-card .card__content {
        padding: 0 8px;
    }
}

.card.product-card-wrapper.product-card-style-card .card__content .product__title {
    color: rgba(var(--color-card-text));
}

.card.product-card-wrapper.product-card-style-card .card__bottom-actions,
.card.product-card-wrapper.product-card-style-card .card__bottom-actions--empty-placeholder {
    margin: 0 24px 24px 24px;
}

@media (max-width: 959px) {

    .card.product-card-wrapper.product-card-style-card .card__bottom-actions,
    .card.product-card-wrapper.product-card-style-card .card__bottom-actions--empty-placeholder {
        margin: 0 8px 8px 8px;
    }
}

.card .card__media {
    position: absolute;
    bottom: 0;
    top: 0;
    right: 0;
    left: 0;
    /* overflow: hidden; */
    z-index: 2;
    background-color: rgb(var(--color-image-background));
}

.card .card__media>img {
    height: 100%;
    object-fit: var(--image-fill-type, cover);
    object-position: var(--image-object-position, center center);
    width: 100%;
    position: relative;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transition: opacity var(--duration-long) ease;
    transition-property: opacity, transform;
}

.card .card__media>.placeholder {
    width: 100%;
    height: 100%;
    background-color: rgb(var(--color-image-background));
    display: flex;
    align-items: center;
    justify-content: center;
}

.card .card__media.mobile--media--hover-effect>img+img,
.card .card__media.media--hover-effect>img+img {
    opacity: 0;
}

.card .card__badge:not(:empty) {
    z-index: 2;
    position: absolute;
    padding: 4px 8px;
    background-color: rgb(var(--card-badge-bg, var(--color-discount-tag-background)));
    color: rgb(var(--card-badge-text-color, var(--color-discount-tag-text)));
    border-radius: var(--badge-border-radius);
}

.card .card__badge:not(:empty).card__badge--mini {
    padding: 2px 4px;
}

.card .card__badge.sold-out-message {
    --card-badge-text-color: var(--color-page-background);
    --card-badge-bg: var(--color-text);
}

.card .card__badge.left_top {
    top: 20px;
    left: 20px;
}

.card .card__badge.left_bottom {
    bottom: 20px;
    left: 20px;
}

.card .card__badge.right_top {
    top: 20px;
    right: 20px;
}

.card .card__badge.right_bottom {
    bottom: 20px;
    right: 20px;
}

@media (max-width: 959px) {
    .card .card__badge.left_top {
        top: 10px;
        left: 10px;
    }

    .card .card__badge.left_bottom {
        bottom: 10px;
        left: 10px;
    }

    .card .card__badge.right_top {
        top: 10px;
        right: 10px;
    }

    .card .card__badge.right_bottom {
        bottom: 10px;
        right: 10px;
    }
}

.card .card__content {
    margin-top: 20px;
    position: relative;
}

.card .card__content .product__title {
    margin: 0;
    margin-bottom: 12px;
    text-align: var(--product-card-content-align);
}

@media (max-width: 959px) {
    .card .card__content {
        margin-top: 10px;
    }

    .card .card__content .product__title {
        margin-bottom: 6px;
    }
}

.card .card__content .card__content-bottom {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.card .card__content .card__content-bottom .price__sale {
    justify-content: unset;
}

@media (min-width: 960px) {
    .card .card__content .card__content-bottom {
        justify-content: center;
    }
}

.card .card__content .card__content-bottom-center {
    justify-content: center;
}

.card .card__content .card__content-bottom-left {
    justify-content: space-between;
}

.card .card__button {
    position: absolute;
    width: 100%;
    text-align: center;
    left: 0;
    bottom: calc(100% + 20px);
    white-space: nowrap;
    overflow: hidden;
    padding: 20px;
    border-bottom-left-radius: var(--product-card-border-radius);
    border-bottom-right-radius: var(--product-card-border-radius);
}

.card .card__button.is-expanded {
    padding: 0;
}

.card .card__button.is-expanded .card__button-inner {
    padding: 20px;
    background: rgba(255, 255, 255, 0.7);
}

.card .card__button .card__button-inner {
    width: 100%;
    display: block;
}

.card .card__button .card__button-inner {
    width: 100%;
    transform: translateY(100%);
    opacity: 0;
    transition: color var(--duration-long) ease,
        transform var(--duration-default) ease, opacity var(--duration-default) ease;
    will-change: transform;
}

.card .quick-add {
    position: absolute;
    top: 0;
    right: 0;
    padding: 15px;
    z-index: 2;
}

@media (max-width: 959px) {
    .card .quick-add {
        padding: 10px;
    }
}

.card .quick-add.quick-add--tiled {
    position: unset;
    width: 32px;
    height: 24px;
}

@media (max-width: 959px) {
    .card .quick-add.quick-add--tiled {
        padding: 0 4px;
    }
}

.card .quick-add.quick-add--tiled .quick-add-icon__opener {
    border: none;
    width: 24px;
    height: 24px;
}

.card .quick-add.quick-add-button {
    position: unset;
    padding: 0;
}

.card .quick-add-icon__opener {
    border-radius: 16px;
    width: 32px;
    height: 32px;
    color: rgb(var(--color-text));
    background-color: rgb(var(--color-page-background));
    border: 1px solid rgba(var(--color-text), 0.05);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.card .quick-add-icon__opener i {
    line-height: 0;
}

.card .quick-add-icon__opener .icon-zoom {
    width: 18px;
    height: 18px;
}

.card:hover .card__center-actions {
    animation: cardActionAni 0.4s ease both;
}

.card .card__center-actions {
    --padding-inline: 20px;
    display: block;
    position: absolute;
    top: 50%;
    left: var(--padding-inline);
    width: calc(100% - 2 * var(--padding-inline));
    z-index: 2;
    opacity: 0;
}

.card .card__bottom-actions>* {
    display: block;
    margin-top: 10px;
}

.card .quick-add-icon__opener.disabled {
    opacity: 0.3;
    cursor: not-allowed;
}

.card .quick-add-icon__opener.loading>.loading-hidden,
.card .color-swatch-radio__remain.loading>.loading-hidden {
    display: none;
}

@media (min-width: 960px) {
    .card__media.media--hover-effect:hover>img:first-child:not(:only-child) {
        opacity: 0;
    }

    .card__media.media--hover-effect:hover>img+img {
        opacity: 1;
        transform: scale(1.03);
    }

    .hover-effect-container .hover-effect-target {
        --duration-long: 400ms;
        transition: transform var(--duration-long) ease;
    }

    .hover-effect-container:hover .hover-effect-target {
        opacity: 1;
        transform: scale(1.1);
    }
}

@media (max-width: 959px) {
    .card__media.mobile--media--hover-effect:hover>img:first-child:not(:only-child) {
        opacity: 0;
    }

    .card__media.mobile--media--hover-effect:hover>img+img {
        opacity: 1;
        transform: scale(1.03);
    }
}

@media (min-width: 960px) {
    .card__button {
        z-index: 2;
    }

    .card:hover .card__button .card__button-inner {
        opacity: 1;
        transform: translateY(0);
    }
}

.display-1-row,
.display-2-rows {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    padding-right: 4px;
    -webkit-box-orient: vertical;
}

/* The ipad end responds to the mobile end in vertical screen */

/* @custom-media --tablet (max-width: 959px); */

/* @custom-media --gt-mobile (min-width: 751px); */

/* detectingScreen need to consider the configuration of the tablet */


/* custom css start  ----------------------------------------------------------------------------- */
.main-collection-items-filter {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    margin: 0 0 40px 0;
}

p.filter-lable-items,
.filter-count-items {
    margin: 0;
    font-size: 20px;
    color: #161616;
    line-height: 1.2;
}

.collection-filter-items {
    display: flex;
    align-items: center;
    gap: 11px;
    cursor: pointer;
}

.collection-filter-svg-items img {
    display: block;
    width: 100%;
    max-width: 20px;
    height: auto;
    object-fit: cover;
}

.collection-items-count {
    font-size: 20px;
    color: #000000;
}

.facets__summary span {
    font-size: 20px;
}

.line-divided {
    font-weight: normal;
    font-size: 16px;
}

.filter-count-lables-itms {
    display: flex;
    align-items: center;
    gap: 5px;
    font-family: 'GT America Bold';
}

.filter-plugin-con.filter-plugin-seed.left-position.active {
    display: inline-block;

}

.filter-plugin-con.filter-plugin-seed.left-position {
    width: 400px;
    margin-right: 40px;
    max-height: 100% !important;
}

.filter-plugin-con.filter-plugin-seed.left-position {
    display: none;
}

.filter-plugin-con.left-position.active+.product-list-list,
.filter-plugin-con.active.left-position+div {
    display: inline-block;
    width: calc(100% - 440px);
    vertical-align: top;
}

.filter-plugin-con.left-position+.product-list-list,
.filter-plugin-con.left-position+div {
    width: 100%;
}



#FacetsWrapperDesktop,
.active-facets.active-facets-desktop,
.active-facets.active-facets-mobile,
#FacetSortForm.facets-vertical-form,
#main-collection-filters menu-drawer {
    display: none !important;
}

/* .filter-apply-btn-con.filter-price-hide-btn {
  padding: 0;
  height: 0;
  visibility: hidden;
  margin: 0;
} */

.filter-selected-con .filter-selected-item {
    margin: 2px 0;
    cursor: pointer;
    display: inline-block;
    font-size: 13px;
    padding: 8px 34px 8px 14px;
    text-transform: none;
    font-weight: 400;
    letter-spacing: normal;
    line-height: 1.6;
    user-select: none;
    vertical-align: middle;
    text-align: left;
    max-height: 39px;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    word-break: keep-all;
    white-space: nowrap;
}

.filter-selected-item.shopline-element-buy-now {
    background: transparent;
    color: #000;
    border: 1px solid #D4D4D4;
    border-radius: 0px;
    font-size: 18px;
    height: auto;
    max-height: fit-content;
    display: inline-flex;
    margin-right: 6px;
    align-items: center;
    padding: 9px 16px;
    line-height: 1;
    gap: 13px;
    width: fit-content;
    text-transform: capitalize;
}


.filter-selected-con .filter-selected-item .filter-selected-item-close {
    position: absolute;
    right: 10px;
    top: 13px;
    width: 10px;
    height: 10px;
}

.filter-selected-con .filter-selected-item .filter-selected-item-close {
    position: unset;
}

.filter-selected-item.shopline-element-buy-now:after {
    content: unset;
}

.filter-selected-clear-btn.btn-link.customized span:nth-child(3) {
    display: none;
}

.filter-selected-con .filter-selected-clear-btn {
    cursor: pointer;
    margin: 0;
    font-size: 16px;
    display: inline-flex;
    align-items: center;
    gap: 3px;
    position: relative;
    top: 7px;
    padding-left: 20px;
}

.filter-selected-con .filter-selected-clear-btn svg {
    width: 20px;
    height: 20px;
}

.filter-selected-con .filter-selected-title {
    display: none;
}

.filter-plugin-con.left-position .filter-selected-con {
    margin-top: 10px;
    padding-bottom: 15px;
    border-bottom: 1px solid;
    border-color: #e8e8e1;
}

.filter-selected-con:has(.filter-selected-clear-btn:only-child) {
    display: none;
}

.filter-checkbox-con .filter-checkbox-title {
    font-size: 16px;
    color: #3C3C3C !important;
    text-transform: capitalize;
}

.filter-checkbox-con {
    padding: 7px 0 7px 30px;
}

.filter-checkbox-con .filter-checkbox-icon {
    border-color: #C9C9C9;
    height: 18px;
    width: 18px;
    top: 10px;
    border-radius: 2px;
}

.filter-checkbox-con.is-checked .filter-checkbox-icon:before {
    background-color: #A53E04;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    background-image: url('https://img.myshopline.com/image/store/1724049484189/-51108.png?w=13&h=9');
    background-repeat: no-repeat;
    background-size: 11px;
    background-position: center center;
    border-radius: 2px;
}

.filter-folder-header span {
    font-family: 'GT America Bold';
    font-size: 20px;
    color: #000;
}

.filter-folder-content .filter-apply-btn {
    background: #A53E04;
}

.filter-folder-content .filter-apply-btn:after {
    content: unset;
}

.filter-folder-content {
    padding-bottom: 24px;
}

.filter-folder-header svg path {
    stroke-width: 2px;
}

.filter-folder-header svg {
    width: 12px;
    height: 12px;
}

.card__content-bottom .price .price__regular .price-item--regular {
    font-size: 20px;
    color: #000000;
    font-family: 'GT America Bold';
}

.card__content-bottom .price__regular {
    line-height: 1;
}

.card .card__content .product__title {
    font-size: 20px;
    color: #000000;
    line-height: 1.2;
    margin: 12px 0 0 0;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

ul.card__colors.square {
    margin-top: 50px;
}

.card .card__content .plugin-color-board.high-layer {
    z-index: 2;
    order: 2;
    margin-top: 50px;
}

.card .card__content .color-board__item {
    width: 22px;
    height: 22px;
}

.card .card__content .color-board__item.active {
    border: 1px solid var(--color-palette-color-text, rgb(var(--color-text))) !important;
}

.card .card__content .color-board__item--circle {
    border-radius: 0;
}

.card .card__content .color-board__scroll {
    gap: 12px;
}

.card .card__content {
    display: flex;
    flex-direction: column;
}

.card .card__content .color-board__col {
    padding: 0;
    margin-top: 0px;
}

.product-card-wrapper:has(.plugin-color-board.high-layer) .card__colors {
    display: none !important;
}

.promotional-block .promotional-block--wrapper .promotional-overlay {
    padding: 8px 0 40px 40px;
}

.promotional-block .promotional-block--wrapper .promotional-overlay .promotional-content :first-child {
    font-size: 30px;
    color: #FFFFFF;
    text-transform: uppercase;
    font-family: 'GT America Bold' !important;
}

.promotional-block .promotional-desc.body3 {
    font-size: 18px;
    color: #FFFFFF;
    margin-bottom: 9px;
}

a.promotional-button.button.button {
    font-size: 16px;
    color: #000000;
    min-width: 170px;
    line-height: 1.3;
}

.promotional-block .promotional-block--wrapper:hover img {
    transform: scale(1.1);
}

.promotional-block .promotional-block--wrapper img {
    transition: all 0.5s;
}

.bZJdZp {
    background-color: transparent;
}

.collect-btn-icon svg {
    width: 25px;
    height: 25px;
}

.facets-vertical .product-list-container ul.product-list-content.grid {
    margin-top: 0;
}

.slider-wrrows-main {
    position: absolute;
    top: 50%;
    z-index: 9;
    left: 20px;
    transform: translateY(-50%);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.slider-wrrows-main.main-coll-button-next {
    right: 20px;
    width: fit-content;
    left: auto;
}

.slider-wrrows-main.main-coll-button-prev svg {
    transform: rotate(180deg);
}

.slider-wrrows-main svg {
    width: 21px;
    height: 21px;
}

.slider-wrrows-main svg path {
    stroke-width: 1.5px;
    stroke: #A0998E;
}

.slider-wrrows-main.swiper-button-disabled {
    opacity: 0.4;
}

.filter-folder-header {
    padding: 18px 0;
}

@media(max-width: 1440px) {
    .promotional-block .promotional-block--wrapper .promotional-overlay .promotional-content :first-child {
        font-size: 20px;
    }

    .promotional-block .promotional-desc.body3 {
        font-size: 15px;
        line-height: 1.2;
    }

    .promotional-block .promotional-block--wrapper .promotional-overlay {
        padding: 8px 0 10px 10px;
    }

    a.promotional-button.button.button {
        font-size: 15px;
        min-width: 140px;
    }
}

@media(max-width: 1160px) {
    .grid-cols-3-desktop>* {
        width: 50%;
    }

    .filter-plugin-con.left-position.active+.product-list-list,
    .filter-plugin-con.active.left-position+div {
        width: calc(100% - 340px);
    }

    .filter-plugin-con.filter-plugin-seed.left-position {
        width: 300px;
    }
}

@media(max-width: 991px) {

    .card__content-bottom .price .price__regular .price-item--regular,
    .card .card__content .product__title,
    .filter-folder-header span,
    .filter-checkbox-con .filter-checkbox-title {
        font-size: 15px;
    }

    .card .card__content .plugin-color-board.high-layer,
    ul.card__colors.square {
        margin-top: 30px;
    }

    .main-collection-items-filter {
        margin: 0 0 20px 0;
    }
}

@media(min-width: 749.98px) {

    li.product-block:nth-child(1),
    li.product-block:nth-child(2),
    li.product-block:nth-child(3),
    li.promotional-block:nth-child(2) {
        margin: 0;
    }
}

@media(max-width: 749.98px) {
    .main-collection-items-filter {
        display: none;
    }

    .card .card__content .product__title {
        margin: 6px 0 0 0;
    }

    .card .card__content .plugin-color-board.high-layer,
    ul.card__colors.square {
        margin-top: 25px;
    }

    .collect-btn-icon svg {
        width: 18px;
        height: 18px;
    }

    .promotional-block .promotional-desc.body3,
    .promotional-block .promotional-block--wrapper .promotional-overlay .promotional-content :first-child {
        font-size: 13px;
    }

    a.promotional-button.button.button {
        font-size: 13px;
        min-width: 120px;
        padding: 8px;
    }

    .facets__summary span {
        font-size: 15px;
    }

    .slider-wrrows-main svg {
        width: 15px;
        height: 15px;
    }

    .slider-wrrows-main.main-coll-button-next {
        right: 10px;
    }

    .slider-wrrows-main {
        left: 10px;
    }

    .filter-selected-item.shopline-element-buy-now {
        font-size: 15px;
    }

    .filter-selected-con .filter-selected-clear-btn {
        font-size: 14px;
        padding-left: 20px;
    }

    .filter-selected-con .filter-selected-clear-btn svg {
        width: 15px;
        height: 15px;
    }

    .filter-selected-con {
        margin: 12px 0 0 0;
        border-bottom: 1px solid #E1E1E1;
        padding: 0 0 22px 0;
    }
}

@media (min-width: 749.98px) {
    #main-collection-filters .facets-container {
        display: none;
    }
}